package com.yc.ship.module.marketing.enums.coupon;

import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

@RequiredArgsConstructor
@Getter
public enum CouponAuditStateEnum implements IntArrayValuable {

    AUDITING(0, "待审核"),

    AUDIT_PASS(1, "通过"),

    AUDIT_REJECT(2, "不通过"),
    ;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CouponAuditStateEnum::getType).toArray();
    private final Integer type;
    private final String name;
    @Override
    public int[] array() {
        return ARRAYS;
    }
}
